 /*
 
 */

 :root {
    --footer-height: 200px;
    --color-bloodclot: #1d0101;
    --color-plasma: #592626;
    --color-froth: #a20808;
    --color-burnt:#260f0f;
    --color-bone: #e2dddb;
    --header-height: 50px;
 }

body {
    font-family: "Noto Sans", sans-serif;
    background-color: var(--color-bloodclot);
    color: var(--color-bone);
    font-size: 15px;
    margin:0;
    padding:0;
}

img { 
    max-width: 100%;
}

body.--noscroll{
    overflow: hidden;
}

section {
    min-height: 100vh;
    position: relative;
}

a {
    color: var(--color-bone);
    font-weight: bold;
}

ul {
    list-style: none;
    padding: 0;
}

h2 {
    margin-bottom: 32px;
    font-size: 28px;
    font-weight: 800;    
    text-transform: uppercase;
}

.header a {
    text-decoration: none;
}

.menu a {
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

strong {
    font-weight: bold; 
}

.loud {
    font-weight: bold; 
}



.header {
    font-family: "Anton", serif;
    font-weight: 400px;
    background-color: var(--color-bone);
    height: var(--header-height);
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    font-size: 24;
    z-index: 1;
}

@media all and (min-width: 1296px) {
    .header {
        opacity: 0;
        transition:
            opacity .5s

    }
}

.header.--visible {
    opacity: 1;
}

@media all and (max-width: 1296px) {
    .header-mainLinks{
        display:none;
    }
}

.header-menuOpenContainer {
    position: relative;
    top: -20px;
    display: none;
}

@media all and (max-width: 1296px) {
    .header-menuOpenContainer {
        display: inline-block;
    }
}


.header-menuCloseContainer{
    position: relative;
    top: 10px;
    left: 20px;
}

.header-menuOpenIcon {
    height: 52px;
}

.header-menuClose{
    height: 52px;
    position: relative;
    top: -10px;
}

.menu {
    z-index: 1;
    position: fixed;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background-color: var(--color-burnt);
    transition:
        left .2s
}

@media all and (max-width: 1296px) {
    .menu.--visible {
        left: 0;
    }
}

.header-logoContainer {
    position: relative;
    top: -9px;
}

@media all and (max-width: 1296px) {
     .header-logoContainer{
        position: absolute;
        left: 50%;
        top :10px;
        transform: translateX(-50%);
    }
}

.menu-link {
    display: block;
    padding:16px 16px 16px 32px;
    font-size:32px;
    border-top: var(--color-plasma) 3px solid;
}

.menu-link:first-of-type {
    margin-top:52px;

}


.menu-link:last-of-type {
    border-bottom: var(--color-plasma) 3px solid;

}

.menu-link.--active{
    color: var(--color-plasma);    
}

.header-link{
    color: var(--color-bloodclot);
    position: relative;
    top: -11px;
    margin-left: 28px;
}

.header-link.--active {
    color: var(--color-plasma);
}


.header-logo {
    max-height: 30px;
}

.hero {
    background: url(/images/in_the_blood_web.jpg) no-repeat center center fixed; 
    -o-background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    background-size: cover;
    height: 100vh;
    box-shadow: inset 0 0 100px var(--color-bloodclot);
    transition:
        opacity .1s
}

.hero-logo {
    max-width: 100%;
    position: absolute;
    left: 50%;
    top:50%;
    transform: translate(-50%, -50%);
    max-height: 150px;
    transition:
        opacity .1s /* smooth opacity changes as logo fades on page scroll*/

}

.content-above-footer{
    min-height: calc(100vh - var(--footer-height)); /* footer height */
}

.footer{
    background-color: var(--color-bone);
    color:var(--color-bloodclot);
    height: var(--footer-height);
    position: relative;
    overflow: hidden; /* hack, difficult to control footer content height so fallback to hiding whatever breaks it*/
    font-size: 12px;
}

.footer-content {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}


.clamp {
    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
    padding: 20px;
}

.content{
    margin-top:calc(var(--header-height) + 32px);
}

.imageGrid {
    display: grid;
    gap: 4px;
    grid-template-columns: 1fr 1fr 1fr 1fr; 
}

@media all and (max-width: 1296px) {
    .imageGrid {
        display: grid;
        grid-template-columns: 1fr 1fr; 
    }
}


.imageGrid-item  {
    aspect-ratio: 1 / 1; 
    border: 4px var(--color-plasma) solid;
    margin: 2px;
    background-size: cover;
    background-repeat:no-repeat;
    background-position: center center;
    cursor: pointer;
}

.releasesGrid-image {
    width: 100%;
}

.lightbox {
    display: none;
    top : 0;
    left: 0;
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 2;
}

/* override */
.lightbox .clamp {
    padding: 62px;
}

.lightbox-close {
    height: 52px;
    position: absolute;
    left: -54px;
    top: -22px;    
}

.lightbox-back {
    height: 52px;
    position: absolute;
    top: 50%;
    left: -54px;
    transform: translateY(-50%);
    cursor: pointer;
}

.lightbox-forward {
    height: 52px;
    position: absolute;
    right: -54px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

.lightbox.--visible {
    display: block;
}

.lightbox-background{
    background-color: var(--color-bloodclot);
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;    
}

.lightbox-content{
    height: calc(100vh - 86px); /* this nr is hack*/    
    position: relative;
    background-color: var(--color-bloodclot);
    text-align: center;
}

.lightbox-image{
    max-width: 100%;
    max-height: 100%;
    top: 50%;
    position: relative;
    transform: translateY(-50%);    
}

.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}

.somelinks > li {
    display: inline-block;
    margin-right:8px;
}

.somelinks * img {
    max-width: 80px;
}